<?php
/**
 * Plugin Name: WooCommerce Variation Visual Editor
 * Description: Enable visual editor for variation description area
 * Version: 1.0.0
 * Author: troll_winner@mail.ru
 * Author URI: https://troll-winner.ru/
 * Requires at least: 4.5
 * Requires PHP: 5.5
 * WC requires at least: 2.4
 * WC tested up to: 5.6.0
 */

namespace WCVariationVisualEditor;

add_action('admin_enqueue_scripts', __NAMESPACE__ . '\\enqueueAssets');
add_action('woocommerce_product_data_panels', __NAMESPACE__ . '\\productDataPanelsAction');

/** Styles and scripts enqueue */
function enqueueAssets()
{
    $pluginURL = plugin_dir_url(__FILE__);

    wp_enqueue_script('jquery');
    wp_enqueue_script('wcvve-app', $pluginURL . 'assets/js/app.js', ['jquery'], '1.0.0', true);
    wp_enqueue_style('wcvve-app', $pluginURL . 'assets/css/app.css', [], '1.0.0');
}

/** Before output admin product panels */
function productDataPanelsAction()
{
    include(__DIR__ . DIRECTORY_SEPARATOR . 'includes' . DIRECTORY_SEPARATOR . 'shared-editor-modal.php');
}

